// Internal resistance of a voltage source
// SCILAB source file: ex2202.sce
// Get input data from dialogue box
txt = ['No load output voltage (V)';'On loaded output voltage (V)';'Load current (A)';];
var = x_mdialog('Enter voltage on and off-load and load current',txt,['12';'10.5';'2.5';]);
v = evstr(var(1));
vl = evstr(var(2));
il = evstr(var(3));
// Calculate internal resistance
rs = (v - vl)/il; 
// Display result
messagebox("Internal resistance of the voltage source = " + string(rs) + " ohm")

